#Project Version = 0.3

================================================
##Concept

Jazz's gameplay is set around player's skill to juggle two different playstyles effectively, having to transform between __Car and roBot modes__. 

__Bot Mode__ is about applying **Offensive Pressure** and performing **Precise Platforming**. Think of this mode as your regular character

__Car Mode__ all about high **Horizontal Speed** that is quite difficult to control. Additionally, some/all abilities of the __Car Mode__ require achieving minimum speed to be activated.

=============================================================
##File conventions

###Feature states 
    * [[Concept]] (No implementation) 
    * [[Development]] (Not playable/stashed implementation) 
    * [[Works]] (Barely playable) 
    * [[Done]] (Fully playable with minor bugs) 

=============================================================
##Abilities

###Passives and Restrictions [[Development]]
    * Cannot sufficate due to oxygen shortage in such as space or liquids [[Done]]
    * No shield abilities [[Done]]
    * At minimum speed, Jazz is able to bust any walls, break spikes and empower springs [[Done]]
    * Receive temporary Speed Boost by gaining rings, damaging enemies, destroying monitors and using springs. Different mode affects the momentum differently [[Done]]

###__Bot Mode__   [[Development]] 
    * Two Shooting Weapons: Light Primary and Heavy Secondary Weapons [[Works]]
        * Light Primary Weapon: Slug Repeater, shooting three bullets in looking direction, dealing simple damage [[Done]]
            * Press Spin to activate on the ground or airbone [[Done]]
        * Heavy Secondary Weapon: Crescent Blaster, launching one heavy projectile with blast radius [[Works]]
            * Hold Spin to activate on the ground or airbone [[Done]]
    * Climb on the walls [[Works]]
    * Speed Boost in this mode greatly increases acceleration, allowing for great airbone control. Max speed is increased only slightly. [[Works]]

###__Car Mode__ (Defense and Horizontal speed) [[Works]] 
    * Drive forward, backward, etc [[Works]]
        * Hold Jump to drive  [[Works]]
        * Hold Spin to brake (reduce speed) [[Works]]
        * Hold Spin while holding Jump to drift [[Works]]
    * Able to break or bump away some objects/enemies [[Works]]
        * Drive into the object/enemy [[Works]]
    * Enter Spin Gaps [[Done]]
    * Speed Boost in this mode greatly increases max speed cap, allowing for even faster horizontal traversal. Acceleration is increased only slightly. [[Works]]

###__Transformation Mode__ (Fast switching between __Car and Bot Modes__)
    * While in __Bot Mode__, Transform into the Car [[Works]]
        *  Regular transformation: Press {Custom 1/2} to transform into the car [[Done]]
    * While in the __Car Mode__, Transform into the Bot [[Working]]
        * Regular transformation: Press {Custom 1/2} to transform into the bot. Hold Jump before transformation to Jump! [[Done]]
        * Stylish transformation: Press {Custom 1/2} while drifting to start breakdancing, saving your high momentum. Any enemy in contact are damaged and knocked away. [[Concept]]

=============================================================